/*
 * output.h -- ePiX file-formatting output routines
 *
 * This file is part of ePiX, a preprocessor for creating high-quality
 * line figures in LaTeX
 *
 * Version 0.9.0rc1
 * Last Change: February 4, 2003
 *
 */

/*
 * Copyright (C) 2001, 2002, 2003
 * Andrew D. Hwang <ahwang@mathcs.holycross.edu>
 * Department of Mathematics and Computer Science
 * College of the Holy Cross
 * Worcester, MA, 01610-2395, USA
 */
 
/*
 * ePiX is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * ePiX is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ePiX; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */                                                                             

#ifndef _EPIX3d_OUTPUT
#define _EPIX3d_OUTPUT

#include <string>

#include "points.h"
#include "pairs.h"

namespace ePiX3d {

  // error reporting
  void epix_error(std::string error);
  void epix_warning(std::string warning);

  // Sectioning Functions
  
  // Begin/end picture
  void begin(void);
  void end(void);

  // Print Cartesian pair
  void print(pair);
  void raw_print(pair);

  void print(P);
  void print(double, P);

  /* Path style declarations */
  void start_path(void);

  void epix_comment(char *);
  void end_stanza(void);

} /* end of namespace */

#endif /* _EPIX3d_OUTPUT */
